Package org.bukkit.inventory.meta

# Interface KnowledgeBookMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface KnowledgeBookMeta extends ItemMeta

## Method Summary

Modifier and Type
Method
Description
`void`
`addRecipe(@NotNull NamespacedKey... recipes)`
Adds new recipe to the end of the book.
`@NotNull KnowledgeBookMeta`
`clone()`
`@NotNull List<NamespacedKey>`
`getRecipes()`
Gets all the recipes in the book.
`boolean`
`hasRecipes()`
Checks for the existence of recipes in the book.
`void`
`setRecipes(@NotNull List<NamespacedKey> recipes)`
Clears the existing book recipes, and sets the book to use the provided recipes.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### hasRecipes

boolean hasRecipes()
Checks for the existence of recipes in the book.

Returns:
  true if the book has recipes

### getRecipes

@NotNull @NotNull List<NamespacedKey> getRecipes()
Gets all the recipes in the book.

Returns:
  list of all the recipes in the book

### setRecipes

void setRecipes(@NotNull @NotNull List<NamespacedKey> recipes)
Clears the existing book recipes, and sets the book to use the provided recipes.

Parameters:
  `recipes` - A list of recipes to set the book to use

### addRecipe

void addRecipe(@NotNull @NotNull NamespacedKey... recipes)
Adds new recipe to the end of the book.

Parameters:
  `recipes` - A list of recipe keys

### clone

@NotNull @NotNull KnowledgeBookMeta clone()

Specified by:
  `clone` in interface `ItemMeta`